Bug 119367 - "Build on resource modifidcation" doesn't work
"Build on resource modifidcation" doesn't work
Product: Red Hat Developer Suite
Classification: Retired
Component: CDT (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Andrew Overholt
Depends On:
  Show dependency treegraph
Reported: 2004-03-29 16:57 EST by Keith Seitz
Modified: 2007-04-18 13:04 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-29 11:44:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Keith Seitz 2004-03-29 16:57:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030819

Description of problem:
The CDT does not honor the "build on resource modification" workbench
preference for "Standard C/C++ Make" projects. (It's fine with Managed
Make projects.)

Version-Release number of selected component (if applicable):
20040329 nightly

How reproducible:

Steps to Reproduce:
1. Create/import a C/C++ project (Standard C/C++ make project)
2. Build it.
3. Modify and save a source file.

Actual Results:  Saves file; does not rebuild

Expected Results:  should do a "make" -- no?

Additional info:
Comment 1 Andrew Overholt 2004-11-29 11:44:12 EST
Window->Preferences->Workbench->Build Automatically must be set for this feature
to function as expected.

It works for me now.  Can you please verify, Keith?
Comment 2 Keith Seitz 2004-11-29 15:10:41 EST
I have Window->Preferences->Workbench->Build Automatically set (it is
on by default), and it does NOT invoke make when a source file is
saved. This works fine with java but not C/C++.

Can you verify? This is on eclipse-cdt-2.0.2-1.

Note You need to log in before you can comment on or make changes to this bug.